## alljoyn-core-1509 15.09a+dfsg.1

=== SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
# 

import os

# Get the global environment
env = SConscript(['build_core/SConscript'])

vars = Variables()

vars.Add('BINDINGS', 'Bindings to build (comma separated list): cpp, c, java, js', 'cpp,c,java,js')
vars.Add('SERVICES', 'AllJoyn services libraries to build (comma separated list): config,controlpanel,notification,onboarding,time,audio', '')
vars.Add(EnumVariable('BUILD_SERVICES_SAMPLES', 'Build the services samples that require libxml2 and json libraries.', 'on', allowed_values = ['on', 'off']))
vars.Add(BoolVariable('BUILD_DDAPI', 'Flag to indicate if data-driven API has to be built or not', 0))
vars.Update(env)
Help(vars.GenerateHelpText(env))

bindings = set([ b.strip()
                 for b in env['BINDINGS'].split(',')
                 if b.strip() == 'cpp' or os.path.exists('alljoyn_%s/SConscript' % b.strip()) ])
services = set([ s.strip()
                 for s in env['SERVICES'].split(',')
                 if os.path.exists('../../services/base/%s/SConscript' % s.strip())])

print 'Building bindings: %s' % ', '.join(bindings)
print 'Building services: %s' % ', '.join(services)

env['bindings'] = bindings
env['services'] = services

# Always build AllJoyn Core
env.SConscript(['alljoyn_core/SConscript'])

if 'c' in bindings:
    env.SConscript(['alljoyn_c/SConscript'])

if 'java' in bindings:
    env.SConscript(['alljoyn_java/SConscript'])

if 'js' in bindings:
    env.SConscript(['alljoyn_js/SConscript'])

# Always build AboutService.
env.SConscript(['services/about/SConscript'])

if services.intersection(['config', 'controlpanel', 'notification', 'onboarding', 'time', 'audio']):
    env['APP_COMMON_DIR'] = env.Dir('../../services/base/sample_apps')

    if services.intersection(['config', 'onboarding']):
        # onboarding also depends on config
        env.SConscript(['../../services/base/config/SConscript'])

        if 'onboarding' in services:
            env.SConscript(['../../services/base/onboarding/SConscript'])

    if services.intersection(['controlpanel', 'notification']):
        # controlpanel also depends on notification
        env.SConscript(['../../services/base/notification/SConscript'])

        if 'controlpanel' in services:
            env.SConscript(['../../services/base/controlpanel/SConscript'])

    if 'time' in services:
        env.SConscript(['../../services/base/time/SConscript'])

    if 'audio' in services:
        env.SConscript(['../../services/audio/SConscript'])

    if env['BUILD_SERVICES_SAMPLES'] == 'on':
        env.SConscript(['../../services/base/sample_apps/SConscript'])

#Build Win7 SDK installer
if env.has_key('WIN7_MSI') and env['WIN7_MSI'] == 'true':
    win7Sdk = env.SConscript(['alljoyn_core/install/Win7/SConscript'])
    env.Depends(win7Sdk, installedFiles)

# Always build Datadriven_api if it is present
if env['BUILD_DDAPI'] == 1:
    if os.path.exists('../../data/datadriven_api/SConscript'):
        env.SConscript(['../../data/datadriven_api/SConscript'])

# Build Alias to make cleaning, building and rebuilding the documentation when
# working only on the documentation simpler. This can be run by using
# `scons all_docs`
env.Alias('all_docs', ['core_docs', 'c_docs'])

=== services/about/SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os

env = SConscript('../../build_core/SConscript')

vars = Variables()
vars.Add('BINDINGS', 'Bindings to build (comma separated list): java', 'java')
vars.Add(EnumVariable('BUILD_SERVICES_SAMPLES',
                      'Build the services samples.',
                      'on',
                      allowed_values = ['on', 'off']))
vars.Add(PathVariable('ALLJOYN_DISTDIR',
                      'Directory containing a built AllJoyn Core dist directory.',
                      os.environ.get('ALLJOYN_DISTDIR')))
vars.Update(env)
Help(vars.GenerateHelpText(env))

if env.get('ALLJOYN_DISTDIR'):
    # normalize ALLJOYN_DISTDIR first
    env['ALLJOYN_DISTDIR'] = env.Dir('$ALLJOYN_DISTDIR')
    env.Append(CPPPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/inc'),
                           env.Dir('$ALLJOYN_DISTDIR/about/inc') ])
    env.Append(LIBPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/lib'),
                           env.Dir('$ALLJOYN_DISTDIR/about/lib') ])

env['bindings'] = set([ b.strip() for b in env['BINDINGS'].split(',') ])

env.SConscript('SConscript')

=== alljoyn_core/samples/openwrt/chatresponder/Makefile ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

ifneq ($(TARGET_CC),)
CC:=$(TARGET_CC)
endif

ifneq ($(TARGET_CXX),)
CXX:=$(TARGET_CXX)
else
endif

CPPFLAGS:=$(TARGET_CPPFLAGS) -DQCC_OS_GROUP_POSIX -DQCC_OS_LINUX
CXXFLAGS:=$(TARGET_CXXFLAGS) -Wall
LDLIBS:=$(TARGET_LDFLAGS) -lalljoyn -lcrypto -lssl -lpthread -lrt

all: chatresponder

clean:
	$(RM) chatresponder chatresponder.o

chatresponder: chatresponder.cc

## alljoyn-core-1509 15.09a

=== debian/changelog ===
alljoyn-core-1509 (15.09a-4) unstable; urgency=medium

  * take care of gcc-6 build errors (Closes: #831091)
  * deactivating gtest for now as it does not work with gcc-6
    (-> look at #833636)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 07 Aug 2016 12:31:37 +0200

alljoyn-core-1509 (15.09a-3) unstable; urgency=medium

  * put some software for testing the library to
    /usr/lib/${DEB_HOST_MULTIARCH}/alljoyn/1504/bin

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jun 2016 22:11:32 +0200

alljoyn-core-1509 (15.09a-2) unstable; urgency=medium

  * add patch to remove -Bsymbolic for creating shared libraries
    with soname

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Jun 2016 19:28:32 +0200

alljoyn-core-1509 (15.09a-1) unstable; urgency=medium

  * Initial release (Closes: #827205)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Jun 2016 19:28:32 +0200

=== debian/control ===
Source: alljoyn-core-1509
Section: net
Priority: extra
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: dh-exec (>=0.3)
               , dh-systemd (>= 1.5) 
               , debhelper (>=9)
               , libssl-dev
               , libgtest-dev
	       , junit
	       , libcsv-java
	       , libmatthew-debug-java
	       , libitext-java
               , scons
               , libcap-dev
#	       , javahelper
#               , ant
Standards-Version: 3.9.8
Homepage: https://allseenalliance.org/framework
Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/alljoyn-core-1509.git
Vcs-Git: https://anonscm.debian.org/git/debian-iot/alljoyn-core-1509.git

#Package: alljoyn-doc-1509
#Architecture: all
#Depends: ${misc:Depends}
#Section: doc
#Description: documentation for alljoyn
# AllJoyn is a collaborative open-source software framework that makes 
# it easy for developers to write applications that can discover nearby
# devices, and communicate with each other directly regardless of 
# brands, categories, transports, and OSes without the need of the cloud. 
# .
# The AllJoyn framework is extremely flexible with many features to help 
# make the vision of the Internet of Things come to life.
# .
# This package contains the documentation.

Package: liballjoyn1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn C++ run-time library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ run-time library.

Package: liballjoyn-dev-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoyn1509 (= ${binary:Version}),
         liballjoyn-common-dev-1509 (= ${binary:Version})
Section: libdevel
Conflicts: liballjoyn-dev-1504
Description: AllJoyn C++ development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ development files.

Package: liballjoyn-c1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn C run-time library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C run-time library

Package: liballjoyn-c-dev-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoyn-c1509 (= ${binary:Version}),
         liballjoyn-common-dev-1509 (= ${binary:Version})
Conflicts: liballjoyn-c-dev-1504
Section: libdevel
Description: AllJoyn C development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C development files.

Package: alljoyn-daemon-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: alljoyn-daemon-1504
Description: AllJoyn daemon service
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains daemon services.

Package: liballjoyn-common-dev-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Conflicts: liballjoyn-common-dev-1504
Section: libdevel
Description: AllJoyn common development files
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains commmon development files.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
#XXX deactivate test for now: export GTEST_DIR=/usr/src/gtest

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# mapping all i.86 to x86 for Alljoyn
CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU | sed -e 's/i.86/x86/')
BUILDARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
# in case of X32, we might want to set x86 as well
ifeq ($(BUILDARCH),x32) 
  export CPU = "x86"
endif
OS=linux

export VERSION := 15.09a
export SONAME := 1509
export VARIANT := release
#XXX deactivate test for now: export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 GTEST_DIR=$(GTEST_DIR)
export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1
export BUILD_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/dist
export OBJ_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/obj

%:
#	dh $@ --with javahelper
	dh $@ --with systemd

override_dh_auto_build:
#XXX does not build yet
#	scons BINDINGS=java $(SCONS_ARGS) \
#		WS=off BT=off ICE=off 

	dpkg-architecture -l

	scons BINDINGS=c $(SCONS_ARGS) \
		WS=off BT=off ICE=off 

	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off 

# not able to build js bindings yet:
# "Must specify either GECKO_BASE or CORDOVA_BASE build variable"
#	scons BINDINGS=js $(SCONS_ARGS) \
#		WS=off BT=off ICE=off 

#	scons BINDINGS=c $(SCONS_ARGS) \
#		WS=off BT=off ICE=off DOCS=html
#	scons BINDINGS=c $(SCONS_ARGS) \
#		WS=off BT=off ICE=off DOCS=pdf

	touch ./to-be.removed-now.md5
	find ./* |grep '\.md5'|xargs rm
	dh_auto_build

override_dh_auto_clean:
	# see explanation of -I for dpkg-source
	# as this dir contains an {arch}, dpkg-source ignores it
	# "arm" in Alljoyn world means openWRT+cross compiling
	# so this is not needed for Debian
	rm -rf build_core/conf/linux/arm
	# these files are created during build
	rm -f .sconsign.dblite
	rm -rf .sconf_temp
	rm -f config.log
	rm -rf build
	touch ./build_core/to-be-removed-now.pyc
	find ./build_core/* -print|grep "\.pyc"|xargs rm
	touch ./to-be.removed-now.md5
	find ./* |grep '\.md5'|xargs rm
	rm -f alljoyn_c/inc/alljoyn_c/DBusStdDefines.h
	rm -f alljoyn_c/inc/alljoyn_c/Status.h
	rm -f alljoyn_c/inc/qcc/posix/platform_types.h
	rm -rf build
	dh_auto_clean

override_dh_auto_test:
	#XXX deactivate test for now: ./build/$(OS)/$(CPU)/$(VARIANT)/test/cpp/bin/cmtest
	dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs alljoyn_core/docs/ReleaseNotes.txt
	dh_installchangelogs 

override_dh_install:
	dh_install
	find
	# we put build_core into the common package but
	# don't need any compiled or other stuff, so byebye
	touch ./debian/liballjoyn-common-dev-1509/to-be-removed-now.pyc
	find ./debian/liballjoyn-common-dev-1509/* -print|grep "\.pyc"|xargs rm
	rm -f ./debian/liballjoyn-common-dev-1509/usr/share/alljoyn/build_core/tools/bin/.gitignore
	rm -f ./debian/liballjoyn-common-dev-1509/usr/share/alljoyn/build_core/tools/scons/.gitignore
	rm -f ./debian/liballjoyn-common-dev-1509/usr/share/alljoyn/build_core/tools/bin/whitespace.py


blubber:
	rm -f alljoyn_java/bin/jar/alljoyn.jar
	rm -f alljoyn_java/bin/libs/liballjoyn_java.so
	rm -f alljoyn_java/bin/libs/liballjoyn_java.so
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocIntrospectWithDescriptionClient/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocIntrospectWithDescriptionService/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocMethodsClient/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocMethodsService/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocPropertiesClient/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocPropertiesService/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocSecurityLogonClient/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocSecurityLogonService/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocSecuritySRPClient/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocSecuritySRPService/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocSignalClient/MANIFEST.MF
	rm -f alljoyn_java/samples/java/JavaSDKDoc/JavaSDKDocSignalService/MANIFEST.MF
	rm -f alljoyn_java/src/org/alljoyn/bus/Status.java
	touch ./to-be.removed-now.pdf
	find ./* |grep '\.pdf'|xargs rm
	touch ./to-be.removed-now.md5
	find ./* |grep '\.md5'|xargs rm
	rm -rf alljoyn_core/docs/latex/*
	rm -rf alljoyn_core/docs/pdf/*

	dh_auto_clean

## alljoyn-core-1509 15.09a+dfsg.1

=== debian/changelog ===
alljoyn-core-1509 (15.09a+dfsg.1-2) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa URLs
  * debian/control: don't use --with systemd anymore
  * debian/control: remove dh_systemd dependency
  * debian/copyright: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Feb 2018 19:01:37 +0100

alljoyn-core-1509 (15.09a+dfsg.1-1) unstable; urgency=medium

  * add gcc7 patch (Closes: #853305)
  * remove non-DFSG files alljoyn_core/router/ConvertUTF.*
  * debian/control: change priority: from extra to optional
  * debian/control: bump standard to 4.0.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 Aug 2017 19:21:37 +0100

alljoyn-core-1509 (15.09a-5) unstable; urgency=medium

  * move maintenance to debian-iot team
  * debian/rules: use builtin crypt (Closes: #844800)
                  don't use openssl until hassle has ended
  * debian/control: add dependency for lsb-base (>= 3.0-6)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 29 Nov 2016 18:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: alljoyn-core-1509
 Section: net
-Priority: extra
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Priority: optional
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: dh-exec (>=0.3)
-               , dh-systemd (>= 1.5) 
-               , debhelper (>=9)
+               , debhelper (>=11)
                , libssl-dev
                , libgtest-dev
 	       , junit
@@ -15,10 +15,11 @@
                , libcap-dev
 #	       , javahelper
 #               , ant
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://allseenalliance.org/framework
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/alljoyn-core-1509.git
-Vcs-Git: https://anonscm.debian.org/git/debian-iot/alljoyn-core-1509.git
+Vcs-Browser: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-core-1509.git
+Vcs-Git: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-core-1509.git
+
 
 #Package: alljoyn-doc-1509
 #Architecture: all
@@ -102,6 +103,7 @@
 Package: alljoyn-daemon-1509
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+       , lsb-base (>= 3.0-6)
 Conflicts: alljoyn-daemon-1504
 Description: AllJoyn daemon service
  AllJoyn is a collaborative open-source software framework that makes

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,15 @@
 export VERSION := 15.09a
 export SONAME := 1509
 export VARIANT := release
-#XXX deactivate test for now: export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 GTEST_DIR=$(GTEST_DIR)
-export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1
+#XXX deactivate test for now: export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 GTEST_DIR=$(GTEST_DIR) CRYPTO=builtin
+export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 CRYPTO=builtin
 export BUILD_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/dist
 export OBJ_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/obj
 
 %:
 #	dh $@ --with javahelper
-	dh $@ --with systemd
+#	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_build:
 #XXX does not build yet

=== debian/watch ===
version=3
opts="dversionmangle=s/alljoyn/alljoyn-core/" \
https://git.allseenalliance.org/cgit/core/alljoyn.git/ /cgit/core/alljoyn.git/snapshot/alljoyn-(15\.09.*)\.tar\.gz
